# List all documents

**GET** `/documents`

List all documents under the platform. Filtered results can be retrieved with extra parameters in the query.

### Query Parameters

- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `description` `string` — Filter documents by description.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `file_name` `string` — Filter documents by file name.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `tag` `string` — Filter documents by tag.
- `type` `string` — Filter documents by type.

**Request**

```shell
curl 'https://api.column.com/documents?type=identity_license' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "documents": [
    {
      "created_at": "2025-04-03T18:09:57Z",
      "description": "Identity license for Bob Smith",
      "ext": "jpeg",
      "id": "docu_2vEIREWZMACw88iXeToRJ34t8MV",
      "size": 30535,
      "tag": "drivers_license",
      "type": "identity_license"
    },
    {
      "created_at": "2025-04-03T17:54:01Z",
      "description": null,
      "ext": "jpeg",
      "id": "docu_2vEGVEsT9OTMpraLZyDG0TDMs7s",
      "size": 30535,
      "tag": null,
      "type": "identity_license"
    }
  ],
  "has_more": false
}
```
